
From: Andrew Morton <akpm@osdl.org>

drivers/message/fusion/mptscsih.c:2356: conflicting types for `mptscsih_store_queue_depth'
drivers/message/fusion/mptscsih.h:106: previous declaration of `mptscsih_store_queue_depth'

Probable bunfight between greg's stuff and git-scsi-misc.


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/message/fusion/mptscsih.c |    2 +-
 drivers/message/fusion/mptscsih.h |    3 ++-
 2 files changed, 3 insertions(+), 2 deletions(-)

diff -puN drivers/message/fusion/mptscsih.h~git-scsi-misc-mptfusion-fix drivers/message/fusion/mptscsih.h
--- 25/drivers/message/fusion/mptscsih.h~git-scsi-misc-mptfusion-fix	2005-05-31 19:18:58.000000000 -0700
+++ 25-akpm/drivers/message/fusion/mptscsih.h	2005-05-31 19:21:27.000000000 -0700
@@ -103,5 +103,6 @@ extern int mptscsih_taskmgmt_complete(MP
 extern int mptscsih_scandv_complete(MPT_ADAPTER *ioc, MPT_FRAME_HDR *mf, MPT_FRAME_HDR *r);
 extern int mptscsih_event_process(MPT_ADAPTER *ioc, EventNotificationReply_t *pEvReply);
 extern int mptscsih_ioc_reset(MPT_ADAPTER *ioc, int post_reset);
-extern ssize_t mptscsih_store_queue_depth(struct device *dev, const char *buf, size_t count);
+ssize_t mptscsih_store_queue_depth(struct device *dev,
+		struct device_attribute *attr, const char *buf, size_t count);
 extern void mptscsih_timer_expired(unsigned long data);
diff -puN drivers/message/fusion/mptscsih.c~git-scsi-misc-mptfusion-fix drivers/message/fusion/mptscsih.c
--- 25/drivers/message/fusion/mptscsih.c~git-scsi-misc-mptfusion-fix	2005-05-31 19:18:58.000000000 -0700
+++ 25-akpm/drivers/message/fusion/mptscsih.c	2005-05-31 19:21:09.000000000 -0700
@@ -2351,7 +2351,7 @@ slave_configure_exit:
 	return 0;
 }
 
-static ssize_t
+ssize_t
 mptscsih_store_queue_depth(struct device *dev, struct device_attribute *attr, const char *buf, size_t count)
 {
 	int			 depth;
_
